stages:
  - test
  - unittest
  - build
  - deploy
variables:
    msg: "this is a message for testing variables in cicd"
run_tests:
      tags:
        - winrunner
      stage: test   
      script:
        - echo "run_test has ran"
        - ls
        - echo $msg
run_unit_test:
      tags:
        - winrunner
      stage: unittest 
      script:
        - echo "run_unit_test has ran"
run_build:
      tags:
        - winrunner
      stage: build
      only: 
       - main
      cache:
           key: ${CI_COMMIT_REF_SLUG}-node-modules  
           paths:
             - cd "C:\gitlab-runner\builds\MVHjuE_WQ\0\r.mohebb73\mynewproject\node_modules"          
      needs:
        - run_tests
        - run_unit_test
     
      script:
        - echo "run_bulid run"
        - echo "this is  branch '$CI_COMMIT_BRANCH'" 
        - cd "C:\gitlab-runner\builds\MVHjuE_WQ\0\r.mohebb73\mynewproject"
        - npm install
        - npm run build
        - echo "this is mohebbian733"
      artifacts:
        paths:
            - C:\gitlab-runner\builds\MVHjuE_WQ\0\r.mohebb73\mynewproject\dist   

     